Transliterator_transliterate [solved]


Warning (2): transliterator_transliterate(): Could not create transliterator with ID "Any-Latin; Latin-ASCII; [\u0080-\u7fff] remove" (transliterator_create: unable to open ICU transliterator with id "Any-Latin; Latin-ASCII; [\u0080-\u7fff] remove": U_INVALID_ID) [CORE/src/Utility/Text.php, line 1073]

Someone here (Minimum PHP version problem) mentioned that not using __ functions would do the job but this is not true.

My config is OK and the standard cakephp home page loads with all specs validated.
I did not forget to add use Cake\Utility\Text; in my controller

Any idea ?


Going back to 3.3 works fine.
But I got stuck to this version.

I must add that this app works fine at home in my Mamp server.


Going my way (hope it helps someone …)
In fact, the problem is only in forms.
I could not be aware of it as I could not login.

I managed to log in after re-installing cake 3.3 and once logged in, I could re-activate cake 3.5 and everything works fine except forms.
So I cannot add or edit anything and I cannot log in either.

Still working on it.

If somebody can help me, he’s welcome.


Your system’s ICU lib is outdated. Update to a more recent version.


Thank you for your answer.